# FairMQ: fair::mq::sdk::DDSEnvironment::Impl Struct Reference

fair::mq::sdk::DDSEnvironment::Impl Struct Reference
Collaboration diagram for fair::mq::sdk::DDSEnvironment::Impl:
[legend]

## Classes

struct | Tag

## Public Member Functions

| Impl (Path configHome)
auto | SetupLocation () -> void
auto | SetupConfigHome () -> void
auto | SetupPath () -> void
auto | GenerateDDSLibDir () const -> Path
auto | SetupDynamicLoader () -> void
auto | GetEnv (const std::string &key) const -> std::string

## Public Attributes

tools::InstanceLimiter< Tag, 1 > | fCount
Path | fLocation
Path | fConfigHome
std::string const | fgLdVar = "LD_LIBRARY_PATH"

## Friends

auto | operator<< (std::ostream &os, Tag) -> std::ostream &

The documentation for this struct was generated from the following file:

- fairmq/sdk/DDSEnvironment.cxx

privacy